| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ExternalHandle Class Reference

A base class for managing the lifetime of an external object, such as a Python object used by a Delegator. More...

`#include <ExtensionManager.h>`

Inheritance diagram for ExternalHandle:
[legend]

## Detailed Description

A base class for managing the lifetime of an external object, such as a Python object used by a Delegator.

Definition at line 19 of file ExtensionManager.h.

## Public Member Functions
| ExternalHandle (const ExternalHandle &)=delete
virtual void * | get ()
| Get the underlying external object.

## Constructor & Destructor Documentation

## ◆ ExternalHandle()

ExternalHandle | ( |  | ) |
| inline

Definition at line 22 of file ExtensionManager.h.

## Member Function Documentation

## ◆ get()

virtual void * get | ( |  | ) |
| inline virtual

Get the underlying external object.

Reimplemented in PythonHandle.

Definition at line 27 of file ExtensionManager.h.

The documentation for this class was generated from the following file:

- ExtensionManager.h